### Function

# GObject type_query

#### Declaration

    void
    g_type_query (
      GType type,
      GTypeQuery* query
    )

#### Description

Queries the type system for information about a specific type.

This function will fill in a user-provided structure to hold type-specific information. If an invalid `GType` is passed in, the `type` member of the `GTypeQuery` is 0. All members filled into the `GTypeQuery` structure should be considered constant and have to be left untouched.

Since GLib 2.78, this function allows queries on dynamic types. Previously it only supported static types.

#### Parameters

`type`

  Type: `GType`

  `GType` of a static, classed type.

`query`

  Type: `GTypeQuery`

  A user provided structure that is filled in with constant values upon success.

  The argument will be set by the function.
  The returned data is owned by the function.